Bug 577601 - Review Request: libqxt - Qt extension library
Summary: Review Request: libqxt - Qt extension library
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 583327
TreeView+ depends on / blocked
 
Reported: 2010-03-28 07:56 UTC by Orcan Ogetbil
Modified: 2014-10-06 12:18 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-25 13:53:48 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Orcan Ogetbil 2010-03-28 07:56:25 UTC
Spec URL: http://oget.fedorapeople.org/review/libqxt.spec
SRPM URL: http://oget.fedorapeople.org/review/libqxt-0.6.0-0.1.20100327hg.fc12.src.rpm
Description: 
LibQxt, an extension library for Qt, provides a suite of cross-platform
utility classes to add functionality not readily available in the Qt toolkit.


The developers advised me to package the trunk version, which is codewise ready. It will be released as stable in a couple days, with minor modifications to the documentation only.

Comment 1 Orcan Ogetbil 2010-04-08 02:55:15 UTC
Spec URL: http://oget.fedorapeople.org/review/libqxt.spec
SRPM URL: http://oget.fedorapeople.org/review/libqxt-0.6.0-0.2.20100407hg.fc12.src.rpm

Changelog:
- New snapshot. The previous tarball got damaged somehow.
- Remove configure tests hack. Upstream fixed it upon our warning.


I think there was a problem with fedorapeople.org. Anyway, I uploaded a new SRPM. Thanks to chkr for pointing this out.

Comment 2 Rex Dieter 2010-04-08 13:02:22 UTC
I can take a look today.

Comment 3 Rex Dieter 2010-04-08 13:07:19 UTC
First question, why a snapshot, and not 0.5.1 release?

And, if you're going to use snapshots, I'd suggest naming the tarball differently, to something like
libqxt-20100407hg.tar.bz2
for example.  Doing otherwise is an easy source of error.  Of course, using snapshots here will likely be short-lived, right?.

Comment 4 Rex Dieter 2010-04-08 13:48:59 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2102499

rpmlint:
$ rpmlint *.rpm
libqxt.src:50: W: configure-without-libdir-spec
libqxt.src: W: invalid-url Source0: libqxt.tar.bz2
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/gui/release/.rcc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/gui/release/.rcc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/core/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/core/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/designer/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/designer/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/sql/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/sql/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/gui/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/gui/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/web/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/web/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/zeroconf/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/zeroconf/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/designer/release/.rcc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/designer/release/.rcc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/network/release/.moc
libqxt-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/libqxt/src/network/release/.moc
4 packages and 0 specfiles checked; 0 errors, 20 warnings.

Comment 5 Rex Dieter 2010-04-08 14:02:21 UTC
Naming: ok
License: ok

macros: ok
  but, you do have these for use:  
%_qt4_plugindir (instead of %_qt4_prefix/plugins)
%_qt4_qmake (intead of %{_bindir}/qmake-qt4
%_qt4_datadir/mkspecs (instead of %_qt4_prefix/mkspecs)

scriptlets: ok

%files: ok (but it may be worth tracking lib sonames closer , to make abi breaks more obvious)

SHOULD: I'd recommend adding a
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
in the main package for paranoia.  you can probably drop the %{?_qt4_version conditional, if this is going to be a fedora-only package.


Pending the question about using a snapshot vs. 0.5.1, I don't see any review blockers.

Comment 6 Orcan Ogetbil 2010-04-09 08:41:38 UTC
(In reply to comment #5)

Thanks Rex,

> macros: ok
>   but, you do have these for use:  
> %_qt4_plugindir (instead of %_qt4_prefix/plugins)
> %_qt4_qmake (intead of %{_bindir}/qmake-qt4
> %_qt4_datadir/mkspecs (instead of %_qt4_prefix/mkspecs)
> 

sure, I'll replace those.

> %files: ok (but it may be worth tracking lib sonames closer , to make abi
> breaks more obvious)
> 

I'll keep an eye.

> SHOULD: I'd recommend adding a
> %{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
> in the main package for paranoia.  you can probably drop the %{?_qt4_version
> conditional, if this is going to be a fedora-only package.
> 

:) ok.

> 
> Pending the question about using a snapshot vs. 0.5.1, I don't see any review
> blockers.    

Please see the original post for the answer. According to the developers, most of them are done with their work. There is one developer who needs to finish writing the documentation for certain classes. The new version will be released soon, at least that's what they say. After that, I will only go with stable release versions, unless there is a strong reason to do otherwise.

Comment 7 Rex Dieter 2010-04-09 13:08:03 UTC
ok, I'm satisfied.

APPROVED.

Comment 8 Orcan Ogetbil 2010-04-10 04:32:24 UTC
Thanks!

New Package CVS Request
=======================
Package Name: libqxt
Short Description: Qt extension library
Owners: oget
Branches: F-11 F-12 F-13
InitialCC:

Comment 9 Kevin Fenzi 2010-04-11 19:18:13 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Fedora Update System 2010-04-20 08:06:51 UTC
libqxt-0.6.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libqxt-0.6.0-2.fc13

Comment 11 Fedora Update System 2010-04-20 08:07:38 UTC
libqxt-0.6.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libqxt-0.6.0-2.fc12

Comment 12 Fedora Update System 2010-04-20 08:08:32 UTC
libqxt-0.6.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libqxt-0.6.0-2.fc11

Comment 13 Fedora Update System 2010-04-21 02:17:49 UTC
libqxt-0.6.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libqxt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libqxt-0.6.0-2.fc13

Comment 14 Fedora Update System 2010-04-21 02:24:04 UTC
libqxt-0.6.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libqxt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libqxt-0.6.0-2.fc12

Comment 15 Fedora Update System 2010-04-21 02:24:11 UTC
libqxt-0.6.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libqxt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libqxt-0.6.0-2.fc11

Comment 16 Fedora Update System 2010-04-25 13:53:41 UTC
libqxt-0.6.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-04-27 02:17:54 UTC
libqxt-0.6.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-04-27 02:27:16 UTC
libqxt-0.6.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fabio Alessandro Locati 2014-09-28 16:29:33 UTC
Package Change Request
======================
Package Name: qtsingleapplication
New Branches: el6 epel7
Owners: fale

Comment 20 Fabio Alessandro Locati 2014-09-28 16:29:55 UTC
Package Change Request
======================
Package Name: libqxt
New Branches: el6 epel7
Owners: fale

Comment 21 Fabio Alessandro Locati 2014-10-04 13:19:46 UTC
Sorry for the comment #19, copy&paste error :(

Comment 22 Gwyn Ciesla 2014-10-06 12:18:07 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.